# Poco::Net

# class NoMessageException

Library: Net
Package: NetCore
Header: Poco/Net/NetException.h

## Inheritance

Direct Base Classes: NetException

All Base Classes: Poco::Exception, Poco::IOException, NetException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### NoMessageException

NoMessageException(
int code = 0
);

### NoMessageException

NoMessageException(
const NoMessageException & exc
);

### NoMessageException

NoMessageException(
const std::string & msg,
int code = 0
);

### NoMessageException

NoMessageException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### NoMessageException

NoMessageException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~NoMessageException

~NoMessageException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::Net::NetException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::Net::NetException::name()

### operator =

NoMessageException & operator = (
const NoMessageException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Net::NetException::rethrow()